<?php

use yii\db\Schema;
use yii\db\Migration;

class m150930_140728_add__table__currency extends Migration
{
    public function up()
    {
    	$tableOptions = null;
    	if ($this->db->driverName === 'mysql') {
    		// http://stackoverflow.com/questions/766809/whats-the-difference-between-utf8-general-ci-and-utf8-unicode-ci
    		$tableOptions = 'CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE=InnoDB';
    	}
    	
    	$this->createTable('{{%currency}}', [
    			'id_currency' => $this->primaryKey(),
    			'currency' => $this->string(10)->notNull(),
    			'name' => $this->string(32)->notNull(),
    			'rate' =>  $this->integer(11) ,
    			'created_at' => $this->timestamp()->notNull(),
    			'updated_at' =>  $this->timestamp()->notNull(),
    	], $tableOptions);
    }

    public function down()
    {
        echo "m150930_140728_add__table__currency cannot be reverted.\n";

        return false;
    }

    /*
    // Use safeUp/safeDown to run migration code within a transaction
    public function safeUp()
    {
    }

    public function safeDown()
    {
    }
    */
}
